Download it now!
Bug 71765 - ACCESSIBILITY: new UI widget layout start center incorrect mouse-over visual focus, program and keyboard focus are not moved [a11y]
Summary: ACCESSIBILITY: new UI widget layout start center incorrect mouse-over visual ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Start-Center-Accessibility
  Show dependency treegraph
 
Reported: 2013-11-19 00:53 UTC by V Stuart Foote
Modified: 2016-10-25 19:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2013-11-19 00:53:14 UTC
Split from bug 71628

Using Windows 7 sp1 64-bit with NVDA and JAB active
Version: 4.2.0.0.alpha1+
Build ID: f99736820a23cb7e37139607713658dea1c69dd4
TinderBox: Win-x86@42, Branch:master, Time: 2013-11-18_00:10:12

StartCenter -- the GTK+ UI widget implementation of mouse-over events are not firing an object focus event for the corresponding button object.

Expected -- a mouse movement firing a mouse over color flash should shift program focus onto the button firing an accessibility focus event. Keyboard and program focus should also follow the visual focus of a GTK+ widget button. 

Actual -- a mouse over color flash/change occurs and will retain visual focus, but keyboard and program focus will remain on a different GTK+ widget object.

Also, as no "tooltip" event is firing on mouse-over and the tool-tip is an important source of accessibility detail

Causes useability problems in that a keyboard enter/submit will assert on the wrong object. Also, an accessibility issue as focus events are not being fired leaving AT blind to GUI changes.
Comment 1 V Stuart Foote 2013-11-19 15:49:35 UTC
On Fedora 19 64-bit kernel 3.10.11-200.fc19.x86_64
Version: 4.2.0.0.alpha1+
Build ID: f99736820a23cb7e37139607713658dea1c69dd4
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2013-11-17_23:56:22

Verified issues are present on Linux builds of LODev4.2.0alpha1+
Comment 2 V Stuart Foote 2014-01-04 18:51:30 UTC
Commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=f655b23d57f234c0e92255302353f2a0a3fad487 resolves majority of this issue.

Believe additional work on the ThumbnailView list is needed to correct residual focus movement issues, see bug 73243. 

But closing this mouse-over issue as resolved fixed.